
import 'dart:async';
import 'dart:io';

import 'package:flutter/services.dart';

class MediaScannerScanFile {
  static const MethodChannel _channel =
      const MethodChannel('media_scanner_scan_file');

  static Future scanFile(String fileUri) async {
    final result = await _channel.invokeMethod('scan', <String, dynamic>{
      'fileUri' : fileUri,
    });
    return result;
  }
}
